package cn.fw.valhalla.service.report;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.time.LocalDate;

/**
 * 公共池报表数据服务
 *
 * @author : kurisu
 * @version : 2.0
 * @className : PublicReportBizService
 * @description : 公共池报表数据服务
 * @date : 2023-05-04 15:07
 */
@Service
@Slf4j
@RequiredArgsConstructor
public class PublicReportBizService {

    /**
     * 抽取集团公共池数据
     *
     * @param nowDate 日期
     * @param groupId 集团id
     */
    @Transactional(rollbackFor = Exception.class)
    public void extracting(LocalDate nowDate, Long groupId) {
        log.info("开始抽取公共池报表数据，日期:{} 集团:{}", nowDate, groupId);
        // TODO: 2023/5/4 完成方法
    }
}
